Skip to main content
`Ctrl`+`K`

# DMPlexCreateCellNumbering

Get a global cell numbering for all cells on this process

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateCellNumbering(DM dm, PetscBool includeAll, IS *globalCellNumbers)

## Input Parameters

- dm - The `DMPLEX` object

- includeAll - Whether to include all cells, or just the simplex and box cells

## Output Parameter

- globalCellNumbers - Global cell numbers for all cells on this process

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetCellNumbering()`, `DMPlexGetVertexNumbering()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages